###################################################################################################
#
# Source file definitions.
#
# Copyright (c) 2019 Packetcraft, Inc.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
###################################################################################################

INC_DIRS += \
	$(ROOT_DIR)/wsf/include \
	$(ROOT_DIR)/platform/include

WSF_C_FILES = \
	$(sort $(wildcard $(ROOT_DIR)/wsf/sources/util/*.c)) \
	$(sort $(wildcard $(ROOT_DIR)/wsf/sources/targets/$(RTOS)/*.c))

# Use SBRK for heap allocation
ifeq ($(WSF_HEAP_SBRK),1)
C_FILES += $(subst $(ROOT_DIR)/wsf/sources/targets/$(RTOS)/wsf_heap.c,,$(WSF_C_FILES))
else
C_FILES += $(subst $(ROOT_DIR)/wsf/sources/targets/$(RTOS)/wsf_heap_sbrk.c,,$(WSF_C_FILES))
endif
	