/* *****************************************************************************
 * Copyright (C) 2016 Maxim Integrated Products, Inc., All Rights Reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL MAXIM INTEGRATED BE LIABLE FOR ANY CLAIM, DAMAGES
 * OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 *
 * Except as contained in this notice, the name of Maxim Integrated
 * Products, Inc. shall not be used except as stated in the Maxim Integrated
 * Products, Inc. Branding Policy.
 *
 * The mere transfer of this software does not imply any licenses
 * of trade secrets, proprietary technology, copyrights, patents,
 * trademarks, maskwork rights, or any other form of intellectual
 * property whatsoever. Maxim Integrated Products, Inc. retains all
 * ownership rights.
 *
 * $Date: 2018-08-28 09:31:26 -0500 (Tue, 28 Aug 2018) $
 * $Revision: 37395 $
 *
 **************************************************************************** */

/* **** Includes **** */
#include "mxc_errors.h"
#include "mxc_assert.h"
#include "mxc_sys.h"
#include "sema.h"
#include "sema_reva.h"

/* **** Definitions **** */

/* **** Globals **** */

/* **** Functions **** */

/* ************************************************************************** */
int MXC_SEMA_Init(void)
{
    MXC_SYS_ClockEnable(MXC_SYS_PERIPH_CLOCK_SEMA);
    return E_NO_ERROR;
}

/* ************************************************************************** */
int MXC_SEMA_GetSema(unsigned sema)
{
    return MXC_SEMA_RevA_GetSema((mxc_sema_reva_regs_t*)MXC_SEMA, sema);
}

/* ************************************************************************** */
int MXC_SEMA_CheckSema(unsigned sema)
{
    return MXC_SEMA_RevA_CheckSema((mxc_sema_reva_regs_t*)MXC_SEMA, sema);
}

/* ************************************************************************** */
uint32_t MXC_SEMA_Status(void)
{
    return MXC_SEMA_RevA_Status((mxc_sema_reva_regs_t*)MXC_SEMA);
}

/* ************************************************************************** */
void MXC_SEMA_FreeSema(unsigned sema)
{
    MXC_SEMA_RevA_FreeSema((mxc_sema_reva_regs_t*)MXC_SEMA, sema);
}

/* ************************************************************************** */
int MXC_SEMA_Shutdown(void)
{
    MXC_SYS_ClockDisable(MXC_SYS_PERIPH_CLOCK_SEMA);
    return E_NO_ERROR;
}
